import React from 'react'
import { mount } from 'enzyme'
import configureStore from 'redux-mock-store'
import { Provider } from 'react-redux'
import { globalStateData } from '../../../tests/__mocks__/globalStateData.mock'
import ActionList from './ActionList'
import ActionCard from './ActionCard'
import { userChallengeData } from '../../../tests/__mocks__/userChallengeData.mock'
import { profileData } from '../../../tests/__mocks__/profile.mock'
import { defaultEcogestureData } from '../../../tests/__mocks__/actionData.mock'

const mockStore = configureStore([])

const mockgetCustomActions = jest.fn()
const mockgetDefaultActions = jest.fn()

jest.mock('services/action.service', () => {
  return jest.fn(() => {
    return {
      getCustomActions: mockgetCustomActions,
      getDefaultActions: mockgetDefaultActions,
    }
  })
})

describe('ActionList component', () => {
  it('should be rendered correctly', () => {
    mockgetDefaultActions.mockResolvedValueOnce(defaultEcogestureData)
    const store = mockStore({
      ecolyo: {
        challenge: userChallengeData[1],
        global: { ...globalStateData, fluidTypes: [0, 1, 2] },
        profile: profileData,
      },
    })
    const wrapper = mount(
      <Provider store={store}>
        <ActionList setSelectedAction={jest.fn()} setShowList={jest.fn()} />
      </Provider>
    )
    expect(wrapper.find(ActionCard).exists())
  })
})
