import React from 'react'
import './gcuLink.scss'
import Link from '@material-ui/core/Link'
import { Link as RouterLink } from 'react-router-dom'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import LegalNoticeIcon from 'assets/icons/ico/legal-notice.svg'

const GCULink: React.FC = () => {
  const { t } = useI18n()
  return (
    <div className="gcu-link-root">
      <div className="gcu-link-content">
        <Link
          className="gcu-link-card-link"
          component={RouterLink}
          to="options/gcu"
        >
          <div className="card optionCard">
            <div className="gcu-link-card">
              <div className="gcu-link-card-content">
                <StyledIcon
                  className="gcu-link-card-content-icon"
                  icon={LegalNoticeIcon}
                  size={42}
                />
                <div className="gcu-link-card-content-title">
                  {t('gcu_option.title')}
                </div>
              </div>
            </div>
          </div>
        </Link>
      </div>
    </div>
  )
}

export default GCULink
