import React from 'react'
import { Provider } from 'react-redux'
import { mount } from 'enzyme'
import ProfileTypeView from 'components/ProfileType/ProfileTypeView'
import {
  createMockStore,
  mockInitialEcolyoState,
} from '../../../tests/__mocks__/store'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')

describe('ProfileTypeView component', () => {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  let store: any
  beforeEach(() => {
    store = createMockStore(mockInitialEcolyoState)
  })

  it('should be rendered correctly', () => {
    const wrapper = mount(
      <Provider store={store}>
        <ProfileTypeView />
      </Provider>
    )
    expect(wrapper.find('mock-cozybar').exists()).toBeTruthy()
    expect(wrapper.find('mock-header').exists()).toBeTruthy()
    expect(wrapper.find('mock-content').exists()).toBeTruthy()
    expect(wrapper.find('.profile-type-container').exists()).toBeTruthy()
  })
})
