import { FluidType } from 'enum/fluid.enum'
import { Step } from 'models/step.model'
import { getPartnerSteps } from './steps'
import {
  electricitySteps,
  gasSteps,
  waterSteps,
} from '../../tests/__mocks__/stepsData.mock'

describe('steps utilis test', () => {
  describe('getPartnerSteps test', () => {
    it('should return Electricty steps', () => {
      const result = getPartnerSteps(FluidType.ELECTRICITY)
      const expected: Step[] = electricitySteps
      expect(result).toEqual(expected)
    })

    it('should return Water steps', () => {
      const result = getPartnerSteps(FluidType.WATER)
      const expected: Step[] = waterSteps
      expect(result).toEqual(expected)
    })

    it('should return Gas steps', () => {
      const result = getPartnerSteps(FluidType.GAS)
      const expected: Step[] = gasSteps
      expect(result).toEqual(expected)
    })

    it('should return empty array', () => {
      const result = getPartnerSteps(999)
      const expected: Step[] = []
      expect(result).toEqual(expected)
    })
  })
})
